The BOOST_PP_LIMIT_BOOL macro defines the maximum integer value that can be passed to BOOST_PP_BOOL.

#### Usage

BOOST_PP_LIMIT_BOOL

#### Remarks

If BOOST_PP_CONFIG_FLAGS does not include BOOST_PP_CONFIG_EDG, this macro expands to BOOST_PP_INFINITY. Otherwise it expands to BOOST_PP_LIMIT_MAG.

#### See Also

- BOOST_PP_INFINITY
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/config/limits.hpp>